jQuery(document).ready(function(){
	
	
	
	//Cargar el tree en mantenimientos 
	var urlTree="/y42bVistaWar/arbol/ajaxTree?mostrarNoActivas=0";
	loadTreeUtilidades(urlTree);
	initTree();
	

	
	
	//botones contraer y expandir arbol 
	$("#y42btree_ajaxlive_expandir").click(function () {
		$("#tree_ajaxlive").dynatree("getRoot").visit(function(node){
			 node.expand(true);
		});
		return false;
	}); 

	$("#y42btree_ajaxlive_contraer").click(function () {
		$("#tree_ajaxlive").dynatree("getRoot").visit(function(node){
			 node.expand(false);
		});
		return false;
	}); 
	
	
	
});


//***************************************************************************
//Otras funciones

function initTree(){
	//alert("init");
	
	//var tree = $("#tree_ajaxlive").dynatree("getTree");
	
	//var node = $("#tree_ajaxlive").dynatree("getActiveNode");
	
	
	//var myKey=node.data.key;
	//alert("Node: " + myKey);
	//$("#tree_ajaxlive").dynatree("getTree").selectKey("G_04");
	//var node = $("#tree_ajaxlive").dynatree("getTree").getNodeByKey("G_04");
	
	//node.activate();
	//var node = $("#tree_ajaxlive").dynatree("getActiveNode");
	//node.expand(true);

	//tree.activateKey("G_04");
	
}

function loadTreeUtilidades(urlTree){	

	$("#tree_ajaxlive").dynatree({
		
	    initAjax: {
	      url: urlTree,
	      data: { mode: 1 },
	      clickFolderMode: 1,
	      autoFocus: false
	    },
	    onClick: function(node) {
	    	y42bVarNodoDeArbolClickado = true;
	    	
	    	//alert("oncactivate");
	    	
		    y42bVarNodoSeleccionadoId = node.data.key;
		    y42bVarNodoSeleccionadoDesc = node.data.title;
//		    y42bVar_FormChanged = false;
//		    y42bVar_EntraFunNumCheck = false;
		    
		    //alert("1111 y42bVarNodoSeleccionadoId "+y42bVarNodoSeleccionadoId);

	    	procesarNodo(node);
	    	
	    }
	    ,
	    onPostInit: function(isReloading, isError) {
	    	//se comenta todo el refresco porque da problemas al venir por modificacion
	    	
	    	
//	    	$("#tree_ajaxlive").dynatree("getRoot").visit(function(node){
//		   		 node.expand(false);
//		    	});
	    	

	    	
	    	
//	    	//alert("2222 y42bVarNodoSeleccionadoId >> "+y42bVarNodoSeleccionadoId+" <<");
//	    	if (y42bAltaEntidadOK){
//	    		var mynode = $("#tree_ajaxlive").dynatree("getTree").getNodeByKey(y42bVarMinodekey);
////				alert("11");
//		    	if (mynode!=null){
//		    		//mynode.expand();
//		    		mynode.focus();
////		    		mynode.toggleSelect();
//		    		mynode.activate();
////		    		mynode.select(true);
//		    		//alert("Existe");	
//		    		
//		    	}
//	    		y42bAltaEntidadOK =false;
//	    	}else{
//	    		alert("ostion");
//		    	if (y42bVarBotonRefrescarPulsado){
//		    		
////		    		alert("22: "+y42bVarNodoSeleccionadoId);
//			    	functActivas(this);
//			    	//alert("------------------------"+y42bVarNodoSeleccionadoId);
//					var mynode = $("#tree_ajaxlive").dynatree("getTree").getNodeByKey(y42bVarNodoSeleccionadoId);
//					if (mynode!=null){
//			    		mynode.focus();
//			    		mynode.activate();
//			    	}
//					y42bVarBotonRefrescarPulsado =false;
//					
//		    	}else{	
//		    		
//			    	var nodeSession=$("#session_nodeSelected").val();
////			    	alert("33: "+nodeSession);
//			    	var mynode = $("#tree_ajaxlive").dynatree("getTree").getNodeByKey(nodeSession);
//			    	if (mynode!=null){
//			    		//mynode.expand();
//			    		mynode.focus();
//			    		//mynode.activate();
//			    		//mynode.activate();
//			    		//alert("Existe");
//			    		
//			    	}
//		    	}	
//    		}
	    }
	  });
}

function procesarNodo(node){
	   var myKey=node.data.key;
//	   alert('myKey: '+myKey);
	   $("#nodeSelected").val(node.data.key);
	   if (guardarEstadoApp(myKey)){
		   var url="";
		  if (myKey.indexOf("C_")>-1){
		  	  url="/y42bVistaWar/contactos?nodeId=" + escape(node.data.key);
		  	  $('#tab_contacto').load(url);
		  }else if (myKey.indexOf("E_")>-1){
			  url="/y42bVistaWar/entidad/node?nodeId=" + escape(node.data.key);
			  $('#tab_entidad').load(url);
		  }else{
			  //alert("arbol a grupo");
			 y42bIdGrupo = node.data.key.substring(2,node.data.key.length);

		    	
		  	url="/y42bVistaWar/grupos/mant?nodeId=" + escape(node.data.key);
		  	$('#tab_grupo').load(url);
		  }
		  
	 }
  }

	function guardarEstadoApp(node){
		//alert("Node: " + node);
		var url="../arbol?id=" + escape(node);
		//alert("Node: " + url);
		$.get(url);
		return true;
	
	}
	
	function y42bRefrescarArbol()
	{
		//alert("entra refrescar arbol");
		y42bVarBotonRefrescarPulsado = true;
		$("#nodeId").val("G_ROOT");
		
		
		if($('#chkShowEntidadesNoActivas').attr('checked') ){ 
			urlTree="/y42bVistaWar/arbol/ajaxTree?mostrarEntidadesNoActivas=1";
		}else{
			urlTree="/y42bVistaWar/arbol/ajaxTree?mostrarEntidadesNoActivas=0";
		}

		document.getElementById("frmArbol").submit();
	
	}
	
	
	
	
